## postgresql-9.2 9.2.24

=== contrib/isn/Makefile ===
# contrib/isn/Makefile

MODULES = isn

EXTENSION = isn
DATA = isn--1.0.sql isn--unpackaged--1.0.sql

REGRESS = isn

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/isn
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/spi/Makefile ===
# contrib/spi/Makefile

MODULES = autoinc insert_username moddatetime refint timetravel

EXTENSION = autoinc insert_username moddatetime refint timetravel

DATA = autoinc--1.0.sql autoinc--unpackaged--1.0.sql \
       insert_username--1.0.sql insert_username--unpackaged--1.0.sql \
       moddatetime--1.0.sql moddatetime--unpackaged--1.0.sql \
       refint--1.0.sql refint--unpackaged--1.0.sql \
       timetravel--1.0.sql timetravel--unpackaged--1.0.sql

DOCS = $(addsuffix .example, $(MODULES))

# this is needed for the regression tests;
# comment out if you want a quieter refint package for other uses
PG_CPPFLAGS = -DREFINT_VERBOSE

LDFLAGS_SL += -L$(top_builddir)/src/port -lpgport

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/spi
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== src/backend/access/Makefile ===
#
# Makefile for the access methods module
#
# src/backend/access/Makefile
#

subdir = src/backend/access
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

SUBDIRS	    = common gist hash heap index nbtree transam gin spgist

include $(top_srcdir)/src/backend/common.mk

=== src/bin/pg_config/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/bin/pg_config
#
# Copyright (c) 1998-2012, PostgreSQL Global Development Group
#
# src/bin/pg_config/Makefile
#
#-------------------------------------------------------------------------

PGFILEDESC = "pg_config - report configuration information"
PGAPPICON=win32

subdir = src/bin/pg_config
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

OBJS=   pg_config.o $(WIN32RES)

# don't include subdirectory-path-dependent -I and -L switches
STD_CPPFLAGS := $(filter-out -I$(top_srcdir)/src/include -I$(top_builddir)/src/include,$(CPPFLAGS))
STD_LDFLAGS := $(filter-out -L$(top_builddir)/src/port,$(LDFLAGS))

override CPPFLAGS += -DVAL_CONFIGURE="\"$(configure_args)\""
override CPPFLAGS += -DVAL_CC="\"$(CC)\""
override CPPFLAGS += -DVAL_CPPFLAGS="\"$(STD_CPPFLAGS)\""
override CPPFLAGS += -DVAL_CFLAGS="\"$(CFLAGS)\""
override CPPFLAGS += -DVAL_CFLAGS_SL="\"$(CFLAGS_SL)\""
override CPPFLAGS += -DVAL_LDFLAGS="\"$(STD_LDFLAGS)\""
override CPPFLAGS += -DVAL_LDFLAGS_EX="\"$(LDFLAGS_EX)\""
override CPPFLAGS += -DVAL_LDFLAGS_SL="\"$(LDFLAGS_SL)\""
override CPPFLAGS += -DVAL_LIBS="\"$(LIBS)\""

all: pg_config

pg_config: $(OBJS) | submake-libpgport
	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o $@$(X)

install: all installdirs
	$(INSTALL_SCRIPT) pg_config$(X) '$(DESTDIR)$(bindir)/pg_config$(X)'

installdirs:
	$(MKDIR_P) '$(DESTDIR)$(bindir)'

uninstall:
	rm -f '$(DESTDIR)$(bindir)/pg_config$(X)'

clean distclean maintainer-clean:
	rm -f pg_config$(X) $(OBJS)

## postgresql-9.2 9.2.2

=== debian/changelog ===
postgresql-9.2 (9.2.2-1.pgdg60+1) squeeze-pgdg; urgency=low

  * Rebuild for squeeze-pgdg (jenkins-postgresql-9.2-source-
    distribution=squeeze-12, bzr revision 372)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 04 Dec 2012 13:23:38 +0100

postgresql-9.2 (9.2.2-1) experimental; urgency=low

  * New upstream bug fix release. See HISTORY/changelog.gz details.
  * debian/control, debian/rules: Build against krb5-multidev, to allow use
    while heimdal-dev is installed. Thanks Jelmer Vernooij! (Closes: #664881)
  * debian/control: Force p-client to use libpq5 from at least our upstream
    version, as -client tends to use private ABI and behaviour that is not
    covered by symbols files.

 -- Martin Pitt <mpitt@debian.org>  Mon, 03 Dec 2012 22:38:48 +0000

postgresql-9.2 (9.2.1-1) experimental; urgency=low

  [ Martin Pitt ]
  * New upstream bug fix release:
    - Fix persistence marking of shared buffers during WAL replay.
      This mistake can result in buffers not being written out during
      checkpoints, resulting in data corruption if the server later
      crashes without ever having written those buffers. Corruption can
      occur on any server following crash recovery, but it is
      significantly more likely to occur on standby slave servers since
      those perform much more WAL replay. There is a low probability of
      corruption of btree and GIN indexes. There is a much higher
      probability of corruption of table "visibility maps", which might
      lead to wrong answers from index-only scans. Table data proper
      cannot be corrupted by this bug.
      While no index corruption due to this bug is known to have occurred
      in the field, as a precautionary measure it is recommended that
      production installations "REINDEX" all btree and GIN indexes at a
      convenient time after upgrading to 9.2.1.
      Also, it is recommended to perform a "VACUUM" of all tables while
      having vacuum_freeze_table_age set to zero. This will fix any
      incorrect visibility map data. vacuum_cost_delay can be adjusted to
      reduce the performance impact of vacuuming, while causing it to
      take longer to finish.
    - See HISTORY/changelog.gz for other bug fixes.
  * debian/rules: Compress all binaries with xz. Thanks Cyril Brulebois!
    (Closes: #688721)

  [ Christoph Berg ]
  * Bump postgresql-common dependency to >= 135~, we need the fixed manpages
    alternatives handling. Remove the redundant dependency of the -contrib
    package on postgresql-common.

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Sep 2012 05:45:33 +0200

postgresql-9.2 (9.2.0-1) experimental; urgency=low

  * New upstream version: Official 9.2 release.
  * debian/rules: Re-enable hardening functions when hardening-wrapper is not
    installed. Use "hardening=all", but disable "pie" (as that's not
    compatible with -fPIC) and add -pie to CFLAGS explicitly. Also drop the
    explicit "-Wl,-z,now" linker option, as this is now implied with "all".
    (see LP #1039618)

 -- Martin Pitt <mpitt@debian.org>  Fri, 07 Sep 2012 07:07:07 +0200

postgresql-9.2 (9.2~rc1-1) experimental; urgency=low

  [ Christoph Berg ]
  * Update watch file to actually look for 9.2.

  [ Martin Pitt ]
  * First 9.2 release candidate.

 -- Martin Pitt <mpitt@debian.org>  Mon, 27 Aug 2012 14:26:49 +0200

postgresql-9.2 (9.2~beta4-1) experimental; urgency=low

  * Fourth 9.2 beta release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 17 Aug 2012 14:46:06 +0200

postgresql-9.2 (9.2~beta3-1) experimental; urgency=low

  [ Christoph Berg ]
  * Third 9.2 beta release.
  * Some cosmetic changes to control and rules file.
  * Remove the beta1 suffix from 9.2~beta1 in symbols files as this was the
    first version.
  * Remove beta2 symbols from libpq5: PQgetRowProcessor@Base,
    PQsetRowProcessor@Base, PQskipResult@Base.
  * Add myself to Uploaders.
  * debian/source/options: Ignore .bzr-builddeb/default.conf so bzr checkouts
    can be built using dpkg-buildpackage.
  * postgresql-9.2.preinst: Remove obsolete code for transition from
    per-version init script which was never shipped in postgresql-9.2. Also,
    remove duplicate #DEBHELPER# token.

  [ Peter Eisentraut ]
  * Move pg_basebackup man page to -client-9.2, where the program is.

 -- Christoph Berg <myon@debian.org>  Tue, 07 Aug 2012 14:25:41 +0200

postgresql-9.2 (9.2~beta2-1) experimental; urgency=low

  [ Peter Eisentraut ]
  * debian/copyright: Update, fix, and simplify.
  * Add debian/source/options: Ignore test suite .sql files, to fix building
    twice in a row.

  [ Martin Pitt ]
  * Second 9.2 beta release.
  * Move pg_basebackup *.mo files to -client-9.2. Thanks to Peter Eisentraut
    for spotting this.
  * Move pg_receivexlog into -client-9.2. It can be used without the server
    being installed.
  * debian/control: Move bzr branches to alioth, so that other members of
    pkg-postgresql can commit. Update Vcs-* tags.
  * debian/control: Set Maintainer: to pkg-postgresql group, and move myself
    to Uploaders:.

 -- Martin Pitt <mpitt@debian.org>  Mon, 04 Jun 2012 06:56:59 +0200

postgresql-9.2 (9.2~beta1-1) experimental; urgency=low

  * First 9.2 beta release. Packaging based on 9.1 branch.

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 May 2012 12:58:24 +0200

=== debian/control ===
Source: postgresql-9.2
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Martin Pitt <mpitt@debian.org>, Peter Eisentraut <petere@debian.org>, Christoph Berg <myon@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8~),
 dpkg-dev (>= 1.16.1~) | hardening-wrapper,
 perl (>= 5.8),
 libperl-dev,
 tcl8.5-dev,
 libedit-dev,
 libssl-dev,
 zlib1g-dev | libz-dev,
 libpam0g-dev | libpam-dev,
 libxml2-dev,
 krb5-multidev,
 libldap2-dev,
 libxslt1-dev,
 libossp-uuid-dev,
 python-dev,
 python3-dev,
 bison,
 flex,
 openjade,
 docbook-dsssl,
 docbook-xsl,
 opensp,
 xsltproc,
 gettext
Homepage: http://www.postgresql.org/
Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-9.2/trunk
Vcs-Bzr: http://bzr.debian.org/bzr/pkg-postgresql/postgresql-9.2/trunk/

Package: libpq-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq5 (= ${binary:Version}),
 libssl-dev,
 krb5-multidev,
 comerr-dev
Suggests: postgresql-doc-9.2
Description: header files for libpq5 (PostgreSQL library)
 Header files and static library for compiling C programs to link
 with the libpq library in order to communicate with a PostgreSQL
 database backend.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpq5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL C client library
 libpq is a C library that enables user programs to communicate with
 the PostgreSQL database server.  The server can be on another machine
 and accessed through TCP/IP.  This version of libpq is compatible
 with servers from PostgreSQL 8.2 or later.
 .
 This package contains the run-time library, needed by packages using
 libpq.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: run-time library for ECPG programs
 The libecpg shared library is used by programs built with ECPG
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq-dev,
 libecpg6 (= ${binary:Version}),
 libecpg-compat3 (= ${binary:Version}),
 libpgtypes3 (= ${binary:Version})
Description: development files for ECPG (Embedded PostgreSQL for C)
 This package contains the necessary files to build ECPG (Embedded
 PostgreSQL for C) programs.  It includes the development libraries
 and the preprocessor program ecpg.
 .
 PostgreSQL is an object-relational SQL database management system.
 .
 Install this package if you want to write C programs with SQL statements
 embedded in them (rather than run by an external process).

Package: libecpg-compat3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: older version of run-time library for ECPG programs
 The libecpg_compat shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpgtypes3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shared library libpgtypes for PostgreSQL 9.2
 The libpgtypes shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-9.2
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-client-9.2,
 postgresql-common (>= 135~),
 tzdata,
 ssl-cert,
 locales
Suggests: oidentd | ident-server, locales-all
Breaks: postgresql-plpython-9.2 (<< ${binary:Version})
Description: object-relational SQL database, version 9.2 server
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.
 .
 This package provides the database server for PostgreSQL 9.2. Servers
 for other major release versions can be installed simultaneously and
 are coordinated by the postgresql-common package. A package providing
 ident-server is needed if you want to authenticate remote connections
 with identd.

Package: postgresql-9.2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, postgresql-9.2 (= ${binary:Version})
Conflicts: postgresql-dbg, postgresql-9.1-dbg
Provides: postgresql-dbg
Description: debug symbols for postgresql-9.2
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.
 .
 This package provides detached debugging symbols for PostgreSQL 9.2.

Package: postgresql-client-9.2
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq5 (>= ${source:Upstream-Version}),
 postgresql-client-common (>= 115~)
Suggests: postgresql-9.2, postgresql-doc-9.2
Provides: postgresql-client
Breaks: postgresql-9.2 (<< ${binary:Version})
Replaces: postgresql-9.2 (<< 9.2~beta1-2)
Description: front-end programs for PostgreSQL 9.2
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for PostgreSQL 9.2. If you install
 PostgreSQL 9.2 on a standalone machine, you need the server package
 postgresql-9.2, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-server-dev-9.2
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq-dev (>= 9.2~),
 postgresql-common (>= 130~)
Description: development files for PostgreSQL 9.2 server-side programming
 Header files for compiling SSI code to link into PostgreSQL's backend; for
 example, for C functions to be called from SQL.
 .
 This package also contains the Makefiles necessary for building add-on
 modules of PostgreSQL, which would otherwise have to be built in the
 PostgreSQL source-code tree.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc-9.2
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 PostgreSQL 9.2. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-contrib-9.2
Architecture: any
Depends: postgresql-9.2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: libdbd-pg-perl
Description: additional facilities for PostgreSQL
 The PostgreSQL contrib package provides several additional features
 for the PostgreSQL database. This version is built to work with the
 server package postgresql-9.2.  contrib often serves as a testbed for
 features before they are adopted into PostgreSQL proper:
 .
  adminpack      - File and log manipulation routines, used by pgAdmin
  btree_gist     - B-Tree indexing using GiST (Generalised Search Tree)
  chkpass        - An auto-encrypted password datatype
  cube           - Multidimensional-cube datatype (GiST indexing example)
  dblink         - Functions to return results from a remote database
  earthdistance  - Operator for computing the distance (in miles) between
                   two points on the earth's surface
  fuzzystrmatch  - Levenshtein, metaphone, and soundex fuzzy string matching
  hstore         - Store (key, value) pairs
  intagg         - Integer aggregator/enumerator
  _int           - Index support for arrays of int4, using GiST (benchmark
                   needs the libdbd-pg-perl package)
  isn            - type extensions for ISBN, ISSN, ISMN, EAN13 product numbers
  lo             - Large Object maintenance
  ltree          - Tree-like data structures
  oid2name       - Maps OIDs to table names
  pageinspect    - Inspection of database pages
  passwordcheck  - Simple password strength checker
  pg_buffercache - Real time queries on the shared buffer cache
  pg_freespacemap- Displays the contents of the free space map (FSM)
  pg_trgm        - Determine the similarity of text based on trigram matching
  pg_standby     - Create a warm stand-by server
  pgbench        - TPC-B like benchmark
  pgcrypto       - Cryptographic functions
  pgrowlocks     - A function to return row locking information
  pgstattuple    - Returns the percentage of dead tuples in a table; this
                   indicates whether a vacuum is required.
  seg            - Confidence-interval datatype (GiST indexing example)
  spi            - PostgreSQL Server Programming Interface; 4 examples of
                   its use:
                   autoinc    - A function for implementing AUTOINCREMENT/
                                IDENTITY
                   insert_username - function for inserting user names
                   moddatetime - Update modification timestamps
                   refint     - Functions for implementing referential
                                integrity (foreign keys).  Note that this is
                                now superseded by built-in referential
                                integrity.
                   timetravel - Re-implements in user code the time travel
                                feature that was removed in 6.3.
  tablefunc      - examples of functions returning tables
  uuid-ossp      - UUID generation functions
  vacuumlo       - Remove orphaned large objects
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plperl-9.2
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-9.2 (= ${binary:Version}),
 perl
Provides: postgresql-plperl
Description: PL/Perl procedural language for PostgreSQL 9.2
 PL/Perl enables an SQL developer to write procedural language functions
 for PostgreSQL 9.2 in Perl.  You need this package if you have any
 PostgreSQL 9.2 functions that use the languages plperl or plperlu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plpython-9.2
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-9.2 (= ${binary:Version})
Provides: postgresql-plpython
Description: PL/Python procedural language for PostgreSQL 9.2
 PL/Python enables an SQL developer to write procedural language functions
 for PostgreSQL 9.2 in Python.  You need this package if you have any
 PostgreSQL 9.2 functions that use the languages plpython or plpythonu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plpython3-9.2
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-9.2 (= ${binary:Version})
Replaces: postgresql-plpython-9.2 (<< ${binary:Version})
Breaks: postgresql-plpython-9.2 (<< ${binary:Version})
Provides: postgresql-plpython3
Description: PL/Python 3 procedural language for PostgreSQL 9.2
 PL/Python 3 enables an SQL developer to write procedural language functions
 for PostgreSQL 9.2 in Python 3.  You need this package if you have any

=== debian/rules ===
#!/usr/bin/make -f
TCL_VER := 8.5
MAJOR_VER := 9.2

# this must also work for old releases with multiarch, so don't fail if the
# variable doesn't exist
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH || true)

# support both hardening-wrapper (for backports) and dpkg-buildflags
export DEB_BUILD_HARDENING = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
LDFLAGS+= -Wl,--as-needed -L/usr/lib/mit-krb5 -L/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5
CFLAGS+= -fPIC -pie -I/usr/include/mit-krb5

# When protecting the postmaster with oom_adj=-17, allow the OOM killer to slay
# the backends (http://archives.postgresql.org/pgsql-hackers/2010-01/msg00170.php)
ifeq ($(shell uname -s),Linux)
CFLAGS+= -DLINUX_OOM_ADJ=0
endif

ifneq ($(findstring $(DEB_BUILD_ARCH), sparc alpha),)
# sparc and alpha's gcc currently miscompiles; see
# http://lists.debian.org/debian-alpha/2007/11/msg00025.html
    CFLAGS+=-O1
endif

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

COMMON_CONFIGURE_FLAGS= \
  --mandir=/usr/share/postgresql/$(MAJOR_VER)/man \
  --docdir=/usr/share/doc/postgresql-doc-$(MAJOR_VER) \
  --sysconfdir=/etc/postgresql-common \
  --datarootdir=/usr/share/ \
  --datadir=/usr/share/postgresql/$(MAJOR_VER) \
  --bindir=/usr/lib/postgresql/$(MAJOR_VER)/bin \
  --libdir=/usr/lib/ \
  --libexecdir=/usr/lib/postgresql/ \
  --includedir=/usr/include/postgresql/ \
  --enable-nls \
  --enable-integer-datetimes \
  --enable-thread-safety \
  --enable-debug \
  --disable-rpath \
  --with-ossp-uuid \
  --with-gnu-ld \
  --with-pgport=5432 \
  --with-system-tzdata=/usr/share/zoneinfo \
  CFLAGS='$(CFLAGS)' \
  LDFLAGS='$(LDFLAGS)'

# build should fail on test suite failures on all arches
TESTSUITE_FAIL_CMD=exit 1


%:
	dh $@

override_dh_auto_configure: stamp/configure-build stamp/configure-build-py3

stamp/configure-build:
	mkdir -p stamp build
	cd build && ../configure \
           --with-tcl \
           --with-perl \
           --with-python \
           --with-pam \
           --with-krb5 \
           --with-gssapi \
           --with-openssl \
           --with-libxml \
           --with-libxslt \
           --with-ldap \
           --with-tclconfig=/usr/lib/tcl$(TCL_VER) \
           --with-tkconfig=/usr/lib/tk$(TCL_VER) \
           --with-includes=/usr/include/tcl$(TCL_VER) \
           PYTHON=/usr/bin/python \
           $(COMMON_CONFIGURE_FLAGS)
	touch "$@"
	
stamp/configure-build-py3:
	mkdir build-py3
	cd build-py3 && ../configure \
           --with-python \
           PYTHON=/usr/bin/python3 \
           $(COMMON_CONFIGURE_FLAGS)
	touch "$@"

override_dh_auto_build: stamp/build stamp/build-py3

stamp/build: stamp/configure-build
	cd build && $(MAKE) world

	# generate POT files for translators
	find -name nls.mk -exec sh -c "make -C \$$(dirname {}) init-po" \;

	# build tutorial stuff
	make -C build/src/tutorial NO_PGXS=1

	touch "$@"

stamp/build-py3: stamp/configure-build-py3
	cd build-py3 && $(MAKE)
	touch "$@"

override_dh_auto_install:
	make -C build-py3 install DESTDIR=$(CURDIR)/debian/tmp
	make -C build install-world DESTDIR=$(CURDIR)/debian/tmp
	# compress manpages
	gzip -9n $(CURDIR)/debian/tmp/usr/share/postgresql/*/man/man*/*.[137]

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/postgresql/$(MAJOR_VER)

override_dh_auto_clean:
	rm -rf build* stamp

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_compress:
	dh_compress -X.source -X.c

override_dh_install:
	dh_install --fail-missing

	# these get installed into the individual -/l* packages; -f because it
	# does not exist for an -A build
	rm -f debian/postgresql-contrib-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/extension/pl*

	if [ -d debian/postgresql-doc-$(MAJOR_VER) ]; then \
		install src/tutorial/*.c src/tutorial/*.source src/tutorial/Makefile src/tutorial/README debian/postgresql-doc-$(MAJOR_VER)/usr/share/doc/postgresql-doc-$(MAJOR_VER)/tutorial; \
	fi

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# patch away the "don't execute as root" check for the test
	# suite; doing it here will ensure that the actual debs have
	# the check.
	set -e; \
	patch --no-backup-if-mismatch -p1 < debian/disable-root-check.patch; \
	patch --no-backup-if-mismatch -p1 < debian/pg_regress-in-tmp.patch; \
	make -C build/src/test/regress bigcheck || fail=1; \
	patch --no-backup-if-mismatch -Rp1 < debian/pg_regress-in-tmp.patch; \
	patch --no-backup-if-mismatch -Rp1 < debian/disable-root-check.patch; \
	if [ -n "$$fail" ]; then \
	    for l in regression.diffs log/initdb.log log/postmaster.log; do \
	    	if [ -e build/src/test/regress/$$l ]; then \
		    echo "********* $$l *******"; \
		    cat build/src/test/regress/$$l; \
		fi; \
	    done; \
	    $(TESTSUITE_FAIL_CMD); \
	fi
endif

override_dh_strip:
	dh_strip --dbg-package=postgresql-$(MAJOR_VER)-dbg

# run tests in contrib in temporary test installations, using programs
# from local tree
contrib-check:
	set -e; cd build/contrib; \
	for d in *; do \
	    [ -d $$d/sql ] || continue; \
	    echo "==============  Running tests in $$d"; \
	    (cd $$d; \
	    if ! ../../src/test/regress/pg_regress --top-builddir=../.. --temp-install=tmp_check --dbname=contrib_regression `cd sql; ls *.sql | sed 's/.sql$$//'`; then \
		 cat regression.diffs; \
	    fi); \
	done

# run tests in contrib in temporary test installation, using programs
# from system installation
contrib-installcheck:
	# set up temporary db
	rm -rf tmp_data
	mkdir tmp_data
	/usr/lib/postgresql/$(MAJOR_VER)/bin/initdb -D tmp_data
	/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_ctl -D tmp_data -l tmp_data/postgres.log -o '-k /tmp' start
	# wait until it started up
	while !/usr/lib/postgresql/$(MAJOR_VER)/bin/psql -h /tmp -l >/dev/null 2>&1; do sleep 1; done
	sleep 1
	while !/usr/lib/postgresql/$(MAJOR_VER)/bin/psql -h /tmp -l >/dev/null 2>&1; do sleep 1; done
	# run the tests
	-cd build/contrib; make installcheck
	/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_ctl -D tmp_data stop
	# find and print the regression diffs
	find build/contrib/ -name regression.diffs -exec cat '{}' \;

override_dh_builddeb:
	dh_builddeb -- -Zxz

## postgresql-9.2 9.2.3

=== debian/changelog ===
postgresql-9.2 (9.2.3-1.pgdg60+1) squeeze-pgdg; urgency=low

  * Rebuild for squeeze-pgdg (jenkins-postgresql-9.2-source-
    distribution=squeeze-17, bzr revision 381)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 05 Feb 2013 10:06:59 +0100

postgresql-9.2 (9.2.3-1) experimental; urgency=medium

  [ Martin Pitt ]
  * Add missing docbook build dependency. (Closes: #697618)

  [ Christoph Berg ]
  * New upstream version.
    + Prevent execution of enum_recv from SQL
      The function was misdeclared, allowing a simple SQL command to crash the
      server.  In principle an attacker might be able to use it to examine the
      contents of server memory.  Our thanks to Sumit Soni (via Secunia SVCRP)
      for reporting this issue. (CVE-2013-0255)
  * debian/rules: Remove the temporary patches from pg_regress, and teach
    pg_regress to support unix socket dirs in --host.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Feb 2013 10:01:28 +0100

postgresql-9.2 (9.2.2-2) experimental; urgency=low

  [ Martin Pitt ]
  * Add 03-python-includedirs.patch: Detect both python3.3 include locations.
    Thanks Dmitrijs Ledkovs!
  * debian/rules: Only build the error codes and the plpython subtree for the
    "python3" flavor, to cut down build time.

  [ Christoph Berg ]
  * debian/tests: Moved autopkgtest integration here from postgresql-common.

 -- Martin Pitt <mpitt@debian.org>  Sun, 06 Jan 2013 18:16:52 +0100

=== debian/control ===
--- 
+++ 
@@ -25,12 +25,14 @@
  openjade,
  docbook-dsssl,
  docbook-xsl,
+ docbook,
  opensp,
  xsltproc,
  gettext
 Homepage: http://www.postgresql.org/
 Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-9.2/trunk
 Vcs-Bzr: http://bzr.debian.org/bzr/pkg-postgresql/postgresql-9.2/trunk/
+XS-Testsuite: autopkgtest
 
 Package: libpq-dev
 Architecture: any
@@ -302,4 +304,3 @@
 Provides: postgresql-plpython3
 Description: PL/Python 3 procedural language for PostgreSQL 9.2
  PL/Python 3 enables an SQL developer to write procedural language functions
- for PostgreSQL 9.2 in Python 3.  You need this package if you have any

=== debian/rules ===
--- 
+++ 
@@ -101,11 +101,11 @@
 	touch "$@"
 
 stamp/build-py3: stamp/configure-build-py3
-	cd build-py3 && $(MAKE)
+	cd build-py3 && $(MAKE) -C src/backend/ submake-errcodes && $(MAKE) -C src/pl/plpython
 	touch "$@"
 
 override_dh_auto_install:
-	make -C build-py3 install DESTDIR=$(CURDIR)/debian/tmp
+	make -C build-py3/src/pl/plpython install DESTDIR=$(CURDIR)/debian/tmp
 	make -C build install-world DESTDIR=$(CURDIR)/debian/tmp
 	# compress manpages
 	gzip -9n $(CURDIR)/debian/tmp/usr/share/postgresql/*/man/man*/*.[137]
@@ -135,15 +135,8 @@
 
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	# patch away the "don't execute as root" check for the test
-	# suite; doing it here will ensure that the actual debs have
-	# the check.
 	set -e; \
-	patch --no-backup-if-mismatch -p1 < debian/disable-root-check.patch; \
-	patch --no-backup-if-mismatch -p1 < debian/pg_regress-in-tmp.patch; \
-	make -C build/src/test/regress bigcheck || fail=1; \
-	patch --no-backup-if-mismatch -Rp1 < debian/pg_regress-in-tmp.patch; \
-	patch --no-backup-if-mismatch -Rp1 < debian/disable-root-check.patch; \
+	make -C build/src/test/regress bigcheck EXTRA_REGRESS_OPTS='--host=/tmp' || fail=1; \
 	if [ -n "$$fail" ]; then \
 	    for l in regression.diffs log/initdb.log log/postmaster.log; do \
 	    	if [ -e build/src/test/regress/$$l ]; then \

## postgresql-9.2 9.2.4

=== debian/changelog ===
postgresql-9.2 (9.2.4-2.pgdg70+1) wheezy-pgdg; urgency=low

  * Rebuild for wheezy-pgdg (jenkins-postgresql-9.2-source-
    distribution=wheezy-30, bzr revision 399)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Fri, 06 Sep 2013 12:03:36 +0200

postgresql-9.2 (9.2.4-2) sid-pgdg; urgency=low

  [ Martin Pitt ]
  * debian/tests/control: Add missing net-tools test dependency.
  * debian/rules: Support multi-arch locations of {tcl,tk}-config.
  * debian/rules: Call dh with --parallel.

  [ Christoph Berg ]
  * debian/rules: Use "make check-world" to run the regression tests. Thanks
    to Peter Eisentraut for the suggestion. Also, use a random port number.
  * 61-extra_regress_opts: Add EXTRA_REGRESS_OPTS in Makefile.global(.in).
  * 62-pg_upgrade-test-in-tmp: Hardcode /tmp in pg_upgrade's test.sh.
  * 64-pg_upgrade-sockdir: If cwd is too long to use as socketdir in
    pg_upgrade, fall back to /tmp. (A Unix socket path must not be longer than
    107 chars.)
  * Pull 6697aa2bc25c83b88d6165340348a31328c35de6 and
    82b0102650cf85268145a46f0ab488bacf6599a1 from upstream head to better
    support VPATH builds of PGXS modules, and make the install targets depend
    on installdirs.
  * Add 00git-perl5.18.patch: Adjust PL/Perl test cases to also work for Perl
    5.18.

 -- Christoph Berg <myon@debian.org>  Thu, 05 Sep 2013 22:03:53 +0200

postgresql-9.2 (9.2.4-1) experimental; urgency=low

  * New upstream security/bug fix release:
    - Fix insecure parsing of server command-line switches.
      A connection request containing a database name that begins with
      "-" could be crafted to damage or destroy files within the server's
      data directory, even if the request is eventually rejected.
      [CVE-2013-1899]
    - Reset OpenSSL randomness state in each postmaster child process.
      This avoids a scenario wherein random numbers generated by
      "contrib/pgcrypto" functions might be relatively easy for another
      database user to guess. The risk is only significant when the
      postmaster is configured with ssl = on but most connections don't
      use SSL encryption. [CVE-2013-1900]
    - Make REPLICATION privilege checks test current user not
      authenticated user.
      An unprivileged database user could exploit this mistake to call
      pg_start_backup() or pg_stop_backup(), thus possibly interfering
      with creation of routine backups. [CVE-2013-1901]
    - Fix GiST indexes to not use "fuzzy" geometric comparisons when it's
      not appropriate to do so.
      The core geometric types perform comparisons using "fuzzy"
      equality, but gist_box_same must do exact comparisons, else GiST
      indexes using it might become inconsistent. After installing this
      update, users should "REINDEX" any GiST indexes on box, polygon,
      circle, or point columns, since all of these use gist_box_same.
    - Fix erroneous range-union and penalty logic in GiST indexes that
      use "contrib/btree_gist" for variable-width data types, that is
      text, bytea, bit, and numeric columns.
      These errors could result in inconsistent indexes in which some
      keys that are present would not be found by searches, and also in
      useless index bloat. Users are advised to "REINDEX" such indexes
      after installing this update.
    - Fix bugs in GiST page splitting code for multi-column indexes.
      These errors could result in inconsistent indexes in which some
      keys that are present would not be found by searches, and also in
      indexes that are unnecessarily inefficient to search. Users are
      advised to "REINDEX" multi-column GiST indexes after installing
      this update.
    - See HISTORY/changelog.gz for details about other bug fixes.
  * Bump Standards-Version to 3.9.4 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Tue, 02 Apr 2013 10:13:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,13 @@
 # this must also work for old releases with multiarch, so don't fail if the
 # variable doesn't exist
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH || true)
+
+# support multi-arch location
+ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(TCL_VER)),)
+TCL_CONFIG_DIR := /usr/lib/$(DEB_HOST_MULTIARCH)
+else
+TCL_CONFIG_DIR := /usr/lib
+endif
 
 # support both hardening-wrapper (for backports) and dpkg-buildflags
 export DEB_BUILD_HARDENING = 1
@@ -55,7 +62,7 @@
 
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure: stamp/configure-build stamp/configure-build-py3
 
@@ -72,8 +79,8 @@
            --with-libxml \
            --with-libxslt \
            --with-ldap \
-           --with-tclconfig=/usr/lib/tcl$(TCL_VER) \
-           --with-tkconfig=/usr/lib/tk$(TCL_VER) \
+           --with-tclconfig=$(TCL_CONFIG_DIR)/tcl$(TCL_VER) \
+           --with-tkconfig=$(TCL_CONFIG_DIR)/tk$(TCL_VER) \
            --with-includes=/usr/include/tcl$(TCL_VER) \
            PYTHON=/usr/bin/python \
            $(COMMON_CONFIGURE_FLAGS)
@@ -135,14 +142,10 @@
 
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e; \
-	make -C build/src/test/regress bigcheck EXTRA_REGRESS_OPTS='--host=/tmp' || fail=1; \
-	if [ -n "$$fail" ]; then \
-	    for l in regression.diffs log/initdb.log log/postmaster.log; do \
-	    	if [ -e build/src/test/regress/$$l ]; then \
-		    echo "********* $$l *******"; \
-		    cat build/src/test/regress/$$l; \
-		fi; \
+	if ! make -C build check-world EXTRA_REGRESS_OPTS='--host=/tmp --port=$(shell perl -le 'print 1024 + int(rand(64000))')'; then \
+	    for l in `find build -name regression.diffs -o -name initdb.log -o -name postmaster.log`; do \
+		echo "******** $$l ********"; \
+		tail -n100 $$l; \
 	    done; \
 	    $(TESTSUITE_FAIL_CMD); \
 	fi
@@ -151,36 +154,5 @@
 override_dh_strip:
 	dh_strip --dbg-package=postgresql-$(MAJOR_VER)-dbg
 
-# run tests in contrib in temporary test installations, using programs
-# from local tree
-contrib-check:
-	set -e; cd build/contrib; \
-	for d in *; do \
-	    [ -d $$d/sql ] || continue; \
-	    echo "==============  Running tests in $$d"; \
-	    (cd $$d; \
-	    if ! ../../src/test/regress/pg_regress --top-builddir=../.. --temp-install=tmp_check --dbname=contrib_regression `cd sql; ls *.sql | sed 's/.sql$$//'`; then \
-		 cat regression.diffs; \
-	    fi); \
-	done
-
-# run tests in contrib in temporary test installation, using programs
-# from system installation
-contrib-installcheck:
-	# set up temporary db
-	rm -rf tmp_data
-	mkdir tmp_data
-	/usr/lib/postgresql/$(MAJOR_VER)/bin/initdb -D tmp_data
-	/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_ctl -D tmp_data -l tmp_data/postgres.log -o '-k /tmp' start
-	# wait until it started up
-	while !/usr/lib/postgresql/$(MAJOR_VER)/bin/psql -h /tmp -l >/dev/null 2>&1; do sleep 1; done
-	sleep 1
-	while !/usr/lib/postgresql/$(MAJOR_VER)/bin/psql -h /tmp -l >/dev/null 2>&1; do sleep 1; done
-	# run the tests
-	-cd build/contrib; make installcheck
-	/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_ctl -D tmp_data stop
-	# find and print the regression diffs
-	find build/contrib/ -name regression.diffs -exec cat '{}' \;
-
 override_dh_builddeb:
 	dh_builddeb -- -Zxz

=== debian/tests/control ===
Tests: run-testsuite
Depends: @, hunspell-en-us, locales, netcat-openbsd, net-tools
Restrictions: needs-root

## postgresql-9.2 9.2.8

=== debian/changelog ===
postgresql-9.2 (9.2.8-1.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-postgresql-9.2-source-
    distribution=sid-41, bzr revision 410)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 18 Mar 2014 09:28:10 +0100

postgresql-9.2 (9.2.8-1.pgdg+1) sid-pgdg; urgency=medium

  * New upstream bugfix release.
  * Build with tcl8.6 where available (>= Jessie, >= trusty).
  * Compile with -fno-omit-frame-pointer on amd64 to facilitate hierarchical
    profile generation. (Closes: #730134)
  * Remove obsolete configure option --with-tkconfig.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Mar 2014 07:33:00 +0100

postgresql-9.2 (9.2.7-1.pgdg+1) sid-pgdg; urgency=medium

  * New upstream security/bugfix release.

    + Shore up GRANT ... WITH ADMIN OPTION restrictions (Noah Misch)

      Granting a role without ADMIN OPTION is supposed to prevent the grantee
      from adding or removing members from the granted role, but this
      restriction was easily bypassed by doing SET ROLE first. The security
      impact is mostly that a role member can revoke the access of others,
      contrary to the wishes of his grantor. Unapproved role member additions
      are a lesser concern, since an uncooperative role member could provide
      most of his rights to others anyway by creating views or SECURITY
      DEFINER functions. (CVE-2014-0060)

    + Prevent privilege escalation via manual calls to PL validator functions
      (Andres Freund)

      The primary role of PL validator functions is to be called implicitly
      during CREATE FUNCTION, but they are also normal SQL functions that a
      user can call explicitly. Calling a validator on a function actually
      written in some other language was not checked for and could be
      exploited for privilege-escalation purposes. The fix involves adding a
      call to a privilege-checking function in each validator function.
      Non-core procedural languages will also need to make this change to
      their own validator functions, if any. (CVE-2014-0061)

    + Avoid multiple name lookups during table and index DDL (Robert Haas,
      Andres Freund)

      If the name lookups come to different conclusions due to concurrent
      activity, we might perform some parts of the DDL on a different table
      than other parts. At least in the case of CREATE INDEX, this can be used
      to cause the permissions checks to be performed against a different
      table than the index creation, allowing for a privilege escalation
      attack. (CVE-2014-0062)

    + Prevent buffer overrun with long datetime strings (Noah Misch)

      The MAXDATELEN constant was too small for the longest possible value of
      type interval, allowing a buffer overrun in interval_out(). Although the
      datetime input functions were more careful about avoiding buffer
      overrun, the limit was short enough to cause them to reject some valid
      inputs, such as input containing a very long timezone name. The ecpg
      library contained these vulnerabilities along with some of its own.
      (CVE-2014-0063)

    + Prevent buffer overrun due to integer overflow in size calculations
      (Noah Misch, Heikki Linnakangas)

      Several functions, mostly type input functions, calculated an allocation
      size without checking for overflow. If overflow did occur, a too-small
      buffer would be allocated and then written past. (CVE-2014-0064)

    + Prevent overruns of fixed-size buffers (Peter Eisentraut, Jozef Mlich)

      Use strlcpy() and related functions to provide a clear guarantee that
      fixed-size buffers are not overrun. Unlike the preceding items, it is
      unclear whether these cases really represent live issues, since in most
      cases there appear to be previous constraints on the size of the input
      string. Nonetheless it seems prudent to silence all Coverity warnings of
      this type. (CVE-2014-0065)

    + Avoid crashing if crypt() returns NULL (Honza Horak, Bruce Momjian)

      There are relatively few scenarios in which crypt() could return NULL,
      but contrib/chkpass would crash if it did. One practical case in which
      this could be an issue is if libc is configured to refuse to execute
      unapproved hashing algorithms (e.g., "FIPS mode"). (CVE-2014-0066)

    + Document risks of make check in the regression testing instructions
      (Noah Misch, Tom Lane)

      Since the temporary server started by make check uses "trust"
      authentication, another user on the same machine could connect to it as
      database superuser, and then potentially exploit the privileges of the
      operating-system user who started the tests. A future release will
      probably incorporate changes in the testing procedure to prevent this
      risk, but some public discussion is needed first. So for the moment,
      just warn people against using make check when there are untrusted users
      on the same machine. (CVE-2014-0067)

  * The upstream tarballs no longer contain a plain HISTORY file, but point to
    the html documentation. Note the location of these files in our
    changelog.gz file.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 19 Feb 2014 11:42:55 +0100

postgresql-9.2 (9.2.6-1.pgdg+1) sid-pgdg; urgency=low

  * New upstream version.

    + Fix "VACUUM"'s tests to see whether it can update relfrozenxid
      (Andres Freund)

      In some cases "VACUUM" (either manual or autovacuum) could
      incorrectly advance a table's relfrozenxid value, allowing tuples
      to escape freezing, causing those rows to become invisible once
      2^31 transactions have elapsed. The probability of data loss is
      fairly low since multiple incorrect advancements would need to
      happen before actual loss occurs, but it's not zero. In 9.2.0 and
      later, the probability of loss is higher, and it's also possible to
      get "could not access status of transaction" errors as a


=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>, Peter Eisentraut <petere@debian.org>, Christoph Berg <myon@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 8~),
  dpkg-dev (>= 1.16.1~) | hardening-wrapper,
  perl (>= 5.8),
  libperl-dev,
- tcl8.5-dev,
+ tcl8.6-dev | tcl8.5-dev,
  libedit-dev,
  libssl-dev,
  zlib1g-dev | libz-dev,
@@ -31,12 +31,12 @@
  gettext
 Homepage: http://www.postgresql.org/
 Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-9.2/trunk
-Vcs-Bzr: http://bzr.debian.org/bzr/pkg-postgresql/postgresql-9.2/trunk/
+Vcs-Bzr: https://alioth.debian.org/scm/loggerhead/pkg-postgresql/postgresql-9.2/trunk/
 XS-Testsuite: autopkgtest
 
 Package: libpq-dev
 Architecture: any
-Section: libdevel
+Section: 9.2/libdevel
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  libpq5 (= ${binary:Version}),
@@ -53,7 +53,7 @@
 
 Package: libpq5
 Architecture: any
-Section: libs
+Section: 9.2/libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: PostgreSQL C client library
  libpq is a C library that enables user programs to communicate with
@@ -68,7 +68,7 @@
 
 Package: libecpg6
 Architecture: any
-Section: libs
+Section: 9.2/libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: run-time library for ECPG programs
  The libecpg shared library is used by programs built with ECPG
@@ -78,7 +78,7 @@
 
 Package: libecpg-dev
 Architecture: any
-Section: libdevel
+Section: 9.2/libdevel
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  libpq-dev,
@@ -97,7 +97,7 @@
 
 Package: libecpg-compat3
 Architecture: any
-Section: libs
+Section: 9.2/libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: older version of run-time library for ECPG programs
  The libecpg_compat shared library is used by programs built with ecpg.
@@ -107,7 +107,7 @@
 
 Package: libpgtypes3
 Architecture: any
-Section: libs
+Section: 9.2/libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: shared library libpgtypes for PostgreSQL 9.2
  The libpgtypes shared library is used by programs built with ecpg.
@@ -303,4 +303,3 @@
 Breaks: postgresql-plpython-9.2 (<< ${binary:Version})
 Provides: postgresql-plpython3
 Description: PL/Python 3 procedural language for PostgreSQL 9.2
- PL/Python 3 enables an SQL developer to write procedural language functions

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,9 @@
 #!/usr/bin/make -f
+ifneq ($(shell which tclsh8.6),)
+TCL_VER := 8.6
+else
 TCL_VER := 8.5
+endif
 MAJOR_VER := 9.2
 
 # this must also work for old releases with multiarch, so don't fail if the
@@ -31,6 +35,11 @@
 # sparc and alpha's gcc currently miscompiles; see
 # http://lists.debian.org/debian-alpha/2007/11/msg00025.html
     CFLAGS+=-O1
+endif
+
+# Facilitate hierarchical profile generation on amd64 (#730134)
+ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH),amd64)
+CFLAGS+= -fno-omit-frame-pointer
 endif
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL=4
@@ -80,7 +89,6 @@
            --with-libxslt \
            --with-ldap \
            --with-tclconfig=$(TCL_CONFIG_DIR)/tcl$(TCL_VER) \
-           --with-tkconfig=$(TCL_CONFIG_DIR)/tk$(TCL_VER) \
            --with-includes=/usr/include/tcl$(TCL_VER) \
            PYTHON=/usr/bin/python \
            $(COMMON_CONFIGURE_FLAGS)
